#include <vulkan/vulkan.h>

#include <GLFW/glfw3.h>

#include <iostream>

int main(int argc, char* argv[]) {

    // Инициализация GLFW
    glfwInit(); 

    // Проверка доступности Vulkan
    if (glfwVulkanSupported())
    {
        // Отключим создание контекста
        glfwWindowHint(GLFW_CLIENT_API, GLFW_NO_API);
        // Отключим возможность изменения размеров окна
        glfwWindowHint(GLFW_RESIZABLE, GLFW_FALSE);
        // Создание окна
        GLFWwindow* window = glfwCreateWindow(800, 600, "Vulkan window", nullptr, nullptr);

        // Жизненный цикл
        while(!glfwWindowShouldClose(window)) {
            // Обработка событий
            glfwPollEvents();
        }

        // Уничтожение окна
        glfwDestroyWindow(window);
    }
    else
        std::cout << "There is no Vulkan Supported\n";

    // Завершение работы с GLFW
    glfwTerminate();

    return 0;
}
